using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GeneradorFondo : MonoBehaviour
{
    public GameObject head, body, legs;
    public float tiempo, tiempomax, tiempomin, spawntiempo;
    Osito TiempoGlobal;

    // Start is called before the first frame update
    void Start()
    {
        SetRandomTime();
        tiempo = tiempomin;
        TiempoGlobal = GameObject.Find("Osito").GetComponent<Osito>();
    }

    // Update is called once per frame
    void FixedUpdate()
    {
        tiempo += Time.deltaTime;

        head.transform.position = transform.position;
        body.transform.position = transform.position;
        legs.transform.position = transform.position;



        if (tiempo > spawntiempo)
        {
            int Num = Random.Range(1, 3);
            if (Num == 1)
            {
                Instantiate(head);
                SetRandomTime();
                tiempo = 0;
            }
            if (Num == 2)
            {
                Instantiate(body);
                SetRandomTime();
                tiempo = 0;
            }
        }
        
        if (TiempoGlobal.Puntuacion >= 1)
        {
            tiempomax = 5;
        }
        if (TiempoGlobal.Puntuacion >= 3)
        {
            tiempomax = 3;
        }
        if (TiempoGlobal.Puntuacion >= 5)
        {
            tiempomax = 2;
        }
    }
    void SetRandomTime()
    {
        if (tiempo > spawntiempo)
        {
            spawntiempo = Random.Range(tiempomin, tiempomax);
            tiempo = 0;
        }
    }
}
